#!/bin/sh
#Simple script to ensure CCcam is running and responding
#In some cases the process still runs but does not respond.
#If this is the case, of the CCcam process is missing
#it will restart CCcam using the start script
#
#Script written by CC_Share
#For support or more info, visit http://www.eurocardsharing.com

CHECKNAME="test.txt"
IP="127.0.0.1"
PORT="16000"
echo info|nc $IP $PORT >>/tmp/$CHECKNAME
set $(ls -s /tmp/$CHECKNAME)
if [ "$1" = "0" ]; 
then
echo "CCcam is not running, Restarting..."
/bin/cccam restart
else
echo "CCcam is running"
fi
rm /tmp/$CHECKNAME
exit
